Push files to a repository

Triggers pushing the project's resource files to the linked repository. A repository connection (e.g. GitHub, GitLab, Bitbucket, or Azure DevOps) must have been configured for the project beforehand. The push can be performed either as a direct commit or as a pull/merge request depending on the configuration or the explicit pushType parameter.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

workspaceUrl

string
required

projectUrl

Body Params

The information needed to perform the push operation

string

Name of the branch to push to. If left empty, the default branch configured in the repository connection will be used.

string
enum

The type of push operation available (e.g. direct push or pull request). Null if the project is not connected to a repository.

Allowed:
string

The commit message for the push. If left empty, a default commit message will be generated.

string

An optional extended commit description providing additional context for the push.

string

Restrict the push to resource files under this path. If not set, all resource files of the project will be pushed.

string

Language code that uniquely identifies a locale. Valid examples would be 'en', 'en-GB', 'de', 'de-DE' etc. according to ISO 639-1.

string

Name of the branch to create for the pull/merge request. Only applicable when pushType is PULL_REQUEST.

string

The title of the pull/merge request. Only applicable when pushType is PULL_REQUEST.

string

The description body of the pull/merge request. Only applicable when pushType is PULL_REQUEST.

Responses
200

Successfully triggered the push operation. Returns an empty body.

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json